Package org.bukkit.event.world

# Class TimeSkipEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.TimeSkipEvent

All Implemented Interfaces:
  `Cancellable`

public class TimeSkipEvent extends WorldEvent implements Cancellable
Called when the time skips in a world.

If the event is cancelled the time will not change.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TimeSkipEvent.SkipReason`
An enum specifying the reason the time skipped.

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`TimeSkipEvent(@NotNull World world, @NotNull TimeSkipEvent.SkipReason skipReason, @org.jetbrains.annotations.NotNull long skipAmount)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`long`
`getSkipAmount()`
Gets the amount of time that was skipped.
`@NotNull TimeSkipEvent.SkipReason`
`getSkipReason()`
Gets the reason why the time has skipped.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setSkipAmount(long skipAmount)`
Sets the amount of time to skip.

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeSkipEvent

public TimeSkipEvent(@NotNull @NotNull World world, @NotNull @NotNull TimeSkipEvent.SkipReason skipReason, @NotNull @org.jetbrains.annotations.NotNull long skipAmount)

## Method Details

### getSkipReason

@NotNull public @NotNull TimeSkipEvent.SkipReason getSkipReason()
Gets the reason why the time has skipped.

Returns:
  a SkipReason value detailing why the time has skipped

### getSkipAmount

public long getSkipAmount()
Gets the amount of time that was skipped.

Returns:
  Amount of time skipped

### setSkipAmount

public void setSkipAmount(long skipAmount)
Sets the amount of time to skip.

Parameters:
  `skipAmount` - Amount of time to skip

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()